import { AfterViewInit, ElementRef, EventEmitter } from '@angular/core';
import * as models from './left-menu.model';
import { TreeviewNode } from '../treeview';
export declare class PenLeftMenuComponent implements AfterViewInit {
    private _elRef;
    config: models.PenLeftMenuConfig;
    logoImg: string;
    bottomMenuList: Array<models.PenLeftMenuItemModel>;
    bottomImg: string;
    primaryColor: string;
    menuItemClick: EventEmitter<models.PenLeftMenuItemModel>;
    private treeview;
    topMenuList: models.PenLeftMenuItemModel[];
    treeviewItems: TreeviewNode[];
    constructor(_elRef: ElementRef);
    ngAfterViewInit(): void;
    onItemClick(node: TreeviewNode): void;
    selectItem(menuItem: models.PenLeftMenuItemModel): void;
    private setupInitialVariable;
    private setupInitialUIStyle;
    private menuItemToTreeviewNode;
}
