export declare type ToggleIconPosition = 'none' | 'prefix' | 'suffix';
export declare class TreeviewNode<V = any> {
    id: string;
    title: string;
    enabled: boolean;
    children: TreeviewNode[];
    value: V;
    expanded: boolean;
    selectable: boolean;
    selected: boolean;
    toggleIconPosition: ToggleIconPosition;
}
