export declare class LanguageItem {
    id: string;
    title: string;
}
export declare class ProfileSettingItem {
    title?: string;
    description?: string;
    url?: string;
    class?: string;
}
export declare class ActivityOwnerItem {
    title: string;
    url: string;
    active: boolean;
    menus?: Array<any>;
    isShown?: boolean;
    isFocused?: boolean;
}
export declare class Options {
    showLeftIcon?: boolean;
    showLanguage?: boolean;
    showProfileSettings?: boolean;
    showRightIcon?: boolean;
}
export declare class IconItem {
    id: string;
    materialIconName?: string;
    title?: string;
    url?: string;
    isHide?: boolean;
    isFocused?: boolean;
}
export declare class EnterpriseInfoModel {
    name: string;
    isShown: boolean;
    constructor(data?: any);
}
